> For the complete documentation index, see [llms.txt](https://docs.wapim.io/_/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wapim.io/_/chats/mark-as-read-chat.md).

# Mark As Read Chat

## Mark As Read Chat

<mark style="color:green;">`POST`</mark> `https://api.wapim.io/api/v1/whatsapp/chat/mark/read`

#### Headers

| Name                                    | Type | Description        |
| --------------------------------------- | ---- | ------------------ |
| Token<mark style="color:red;">\*</mark> |      | YOUR\_WAPIM\_TOKEN |

#### Request Body

| Name                                       | Type   | Description                        |
| ------------------------------------------ | ------ | ---------------------------------- |
| chat\_id<mark style="color:red;">\*</mark> | String | Recipient Phone Number or Group ID |

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "status": true,
    "code": 200,
    "phone_number": "*****",
    "message_id": "3EB05F28F824A6F6D9E9",
    "req_id": "11b80f89-fff7-487c-b33f-047daff89af6"
}
```

{% endtab %}

{% tab title="400: Bad Request " %}

```json
{
    "status": false,
    "code": 400,
    "message": "Bad Request",
    "error": {
        "Send Text": [
            "Malformed or missing phone id or message data!"
        ]
    }
}
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="cURL" %}

```bash
curl
    -X POST https://api.wapim.io/api/v1/whatsapp/chat/mark/read
    -H 'Token: YOUR_WAPIM_TOKEN'
    -d '{"chat_id": "PHONENUMBER_OR_GROUPID"}'
```

{% endtab %}

{% tab title="NodeJS" %}

```javascript
const axios = require('axios');

axios
  .post(
    'https://api.wapim.io/api/v1/whatsapp/chat/mark/read',
    {
     chat_id: 'PHONENUMBER_OR_GROUPID'
    },
    {
     headers: {
      token: 'YOUR_WAPIM_TOKEN',
     }
    }
  )
  .then(response => console.log(response.data))
  .catch(error => console.log(error.response.data))
```

{% endtab %}
{% endtabs %}
